def square(A,B,C):
    nature = 'Le triangle est'

    x = (B[0]-A[0])**2 + (B[1]-A[1])**2
    y = (C[0]-A[0])**2 + (C[1]-A[1])**2
    z = (C[0]-B[0])**2 + (C[1]-B[1])**2

    if (x + y == z) or (x + z == y) or (y + z == x):
        nature = nature + ' rectangle'

    if (x == y) and (x == z) and (y == z):
        nature  = nature + ' équilatéral'

    if (x == y) or (x == z) or (y == z):
        nature = nature + ' isocèle'

    if nature == 'Le triangle est':
        nature = nature + ' quelconque'

    return nature
